Subject: bug#348: libpam-ck-connector: pam_ck_connector logs cannot determine display-device when non-interactive

From: Arne Wichmann <[email-masked]>
Date: Thu, 2 Apr 2020 15:06:29 +0200

begin  quotation  from Mark Hindley (in <[email-masked]>):
> On Thu, Apr 02, 2020 at 01:12:14PM +0200, Arne Wichmann wrote:
> > Well - the bug is mostly logging as an error which is at most an info: not
> > having a display device should be considered a normal case, it can happen
> > for quite a number of reasons.
> > 
> > I surely can make the message go away.
> 
> Ah, I see. We can lower the syslog level to warning for this case.
> 
> The problem with lowering it further is that in some cases it is a
> problem. I'll take a look to see if there is a way of disentangling
> those.

Really understanding (and possibly documenting - at least in the code) the
problematic interactions is of course "the kings way" (as we might say in
german).

Again - thank you for caring! Even though I now see the problem is minor.

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann ([email-masked])